Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002055KdenliveFile Loadingpublic2011-03-04 02:112011-06-10 10:49
Reportergsking1 
Assigned Toj-b-m 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
Platform64 bit OSFedora LinuxOS Version14
Product VersionRecent git 
Target VersionFixed in Version0.8 
Summary0002055: Crash when loading file from a month ago.
DescriptionI get a crash when loading certain project. This small project was created a month or so ago and worked okay on an earlier development version of Kdenlive around mid January 2011. I am using the latest frei0r/mlt/kdenlive SVN/GIT from today.
Steps To ReproduceLoad existing kdenlive project file. The loading progress dialog gets to 75% and then see segmentation fault. Below is a gdb backtrace. Hope it helps. .
Additional InformationProgram received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x7fffe1502700 (LWP 25872)]
0x00007ffff7dbe1ba in mlt_properties_set () from /usr/lib64/libmlt.so.3
Missing separate debuginfos, use: debuginfo-install OpenEXR-libs-1.7.0-1.fc14.x86_64 SDL-1.2.14-8.fc14.x86_64 atlas-3.8.3-18.fc14.x86_64 attica-0.1.4-1.fc14.x86_64 dbusmenu-qt-0.6.3-1.fc14.1.x86_64 dirac-libs-1.0.2-4.fc14.x86_64 ffmpeg-libs-0.6-4.20100704svn.fc14.x86_64 gavl-1.1.2-1.fc14.x86_64 gnutls-2.8.6-2.fc14.x86_64 ilmbase-1.0.2-2.fc14.x86_64 kdebase-workspace-4.5.5-2.fc14.x86_64 kdebase-workspace-libs-4.5.5-2.fc14.x86_64 kdelibs-4.5.5-1.fc14.x86_64 lame-libs-3.98.4-1.fc14.x86_64 libXdmcp-1.0.3-3.fc13.x86_64 libXpm-3.5.8-2.fc13.x86_64 libdc1394-2.1.2-3.fc12.x86_64 libdv-1.0.0-9.fc13.x86_64 libexif-0.6.19-1.fc14.x86_64 libgdither-0.6-2.fc12.x86_64 libquicktime-1.1.5-2.fc14.x86_64 libraw1394-2.0.5-2.fc14.x86_64 librtmp-2.3-2.fc14.x86_64 libtasn1-2.7-1.fc14.x86_64 libtheora-1.1.1-1.fc13.x86_64 libusb1-1.0.8-1.fc14.x86_64 libva-freeworld-0.31.1-1.sds4.fc14.x86_64 libvpx-0.9.5-2.fc14.x86_64 opencv-2.1.0-6.fc14.x86_64 openjpeg-libs-1.3-10.fc14.x86_64 orc-0.4.11-1.fc14.x86_64 phonon-4.4.4-2.fc14.x86_64 qimageblitz-0.0.6-1.fc14.x86_64 qjson-0.7.1-2.fc14.1.x86_64 schroedinger-1.0.10-1.fc14.x86_64 soprano-2.5.2-1.fc14.x86_64 sox-14.3.1-3.fc14.x86_64 speex-1.2-0.12.rc1.fc12.x86_64 strigi-libs-0.7.2-5.fc14.x86_64 x264-libs-0.0.0-0.28.20100706gitd058f37.fc14.x86_64 xvidcore-1.2.2-2.fc14.x86_64 xz-libs-4.999.9-0.2.beta.20100401git.fc14.x86_64
(gdb) thread apply all bt full

Thread 15 (Thread 0x7fffe3632700 (LWP 25885)):
#0 pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:216
No locals.
#1 0x00000033a6072d42 in wait (this=<value optimized out>, mutex=0x14efba0, time=30000)
    at thread/qwaitcondition_unix.cpp:86
        tv = {tv_sec = 1299200575, tv_usec = 494334}
        ti = {tv_sec = 1299200605, tv_nsec = 494334000}
        code = <value optimized out>
0000002 QWaitCondition::wait (this=<value optimized out>, mutex=0x14efba0, time=30000)
    at thread/qwaitcondition_unix.cpp:160
        returnValue = 30
0000003 0x00000033a6068d58 in QThreadPoolThread::run (this=0x15d1fc0) at concurrent/qthreadpool.cpp:140
        r = 0x15d0230
        expired = <value optimized out>
        locker = {val = 21953441}
0000004 0x00000033a60726ee in QThreadPrivate::start (arg=0x15d1fc0) at thread/qthread_unix.cpp:285
        __clframe = {__cancel_routine = 0x33a60719a0 <QThreadPrivate::finish(void*)>, __cancel_arg = 0x15d1fc0,
          __do_it = 1, __cancel_type = <value optimized out>}
        thr = 0x15d1fc0
        data = 0x15d21b0
0000005 0x00000039c2606ccb in start_thread (arg=0x7fffe3632700) at pthread_create.c:301
        pd = 0x7fffe3632700
        now = <value optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140737008314112, 504360652318557022, 140737488332864,
    140737008314816, 0, 3, -504368448843693218, 471854966387229534}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0,
    0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = <value optimized out>
        pagesize_m1 = <value optimized out>
        sp = <value optimized out>
        freesize = <value optimized out>
0000006 0x00000039c1ae0c2d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
No locals.

Thread 14 (Thread 0x7fffd3fff700 (LWP 25884)):
#0 pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
No locals.
#1 0x00007fffe67cee42 in consumer_thread () from /usr/lib64/mlt/libmltsdl.so
No symbol table info available.
0000002 0x00000039c2606ccb in start_thread (arg=0x7fffd3fff700) at pthread_create.c:301
        pd = 0x7fffd3fff700
        now = <value optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140736750155520, 504360652318557022, 248074275840,
    140736750156224, 0, 3, -504263895917935778, 471854966387229534}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0,
    0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = <value optimized out>
        pagesize_m1 = <value optimized out>
        sp = <value optimized out>
        freesize = <value optimized out>
0000003 0x00000039c1ae0c2d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
No locals.

Thread 13 (Thread 0x7fffd37fe700 (LWP 25883)):
#0 pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:216
No locals.
#1 0x00007ffff7dc7482 in mlt_consumer_get_frame () from /usr/lib64/libmlt.so.3
No symbol table info available.
0000002 0x00007ffff7dc7d10 in mlt_consumer_rt_frame () from /usr/lib64/libmlt.so.3
No symbol table info available.
0000003 0x00007fffe67cf6b4 in consumer_thread () from /usr/lib64/mlt/libmltsdl.so
---Type <return> to continue, or q <return> to quit---
No symbol table info available.
0000004 0x00000039c2606ccb in start_thread (arg=0x7fffd37fe700) at pthread_create.c:301
        pd = 0x7fffd37fe700
        now = <value optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140736741762816, 504360652318557022, 248074275840,
    140736741763520, 0, 3, -504262794795695266, 471854966387229534}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0,
    0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = <value optimized out>
        pagesize_m1 = <value optimized out>
        sp = <value optimized out>
        freesize = <value optimized out>
0000005 0x00000039c1ae0c2d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
No locals.

Thread 8 (Thread 0x7fffe1502700 (LWP 25872)):
#0 0x00007ffff7dbe1ba in mlt_properties_set () from /usr/lib64/libmlt.so.3
No symbol table info available.
#1 0x00007ffff7ba6b14 in Mlt::Properties::set(char const*, char const*) () from /usr/lib64/libmlt++.so.3
No symbol table info available.
0000002 0x000000000056ae81 in KThumb::slotCreateAudioThumbs (this=0x1709cc0)
    at /home/gsking/programs/src/svn/kdenlive/src/kthumb.cpp:354
        m_convert = <incomplete type>
        __PRETTY_FUNCTION__ = "void KThumb::slotCreateAudioThumbs()"
        m_producer = <incomplete type>
        last_val = -514843488
        val = 0
        prof = {instance = 0x7fffd8002360}
0000003 0x000000000056c0a4 in QtConcurrent::VoidStoredMemberFunctionPointerCall0<void, KThumb>::runFunctor (this=
    0x17cc990) at /usr/include/QtCore/qtconcurrentstoredfunctioncall.h:216
No locals.
0000004 0x00000000004ab120 in QtConcurrent::RunFunctionTask<void>::run (this=0x17cc990)
    at /usr/include/QtCore/qtconcurrentrunbase.h:120
No locals.
0000005 0x00000033a6068cc8 in QThreadPoolThread::run (this=0x14c5650) at concurrent/qthreadpool.cpp:106
        r = 0x17cc9a0
        expired = <value optimized out>
        locker = {val = 21953440}
0000006 0x00000033a60726ee in QThreadPrivate::start (arg=0x14c5650) at thread/qthread_unix.cpp:285
        __clframe = {__cancel_routine = 0x33a60719a0 <QThreadPrivate::finish(void*)>, __cancel_arg = 0x14c5650,
          __do_it = 1, __cancel_type = <value optimized out>}
        thr = 0x14c5650
        data = 0x15d4f10
0000007 0x00000039c2606ccb in start_thread (arg=0x7fffe1502700) at pthread_create.c:301
        pd = 0x7fffe1502700
        now = <value optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140736973514496, 504360652318557022, 140737488337168,
    140736973515200, 0, 3, -504372408803540130, 471854966387229534}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0,
    0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = <value optimized out>
        pagesize_m1 = <value optimized out>
        sp = <value optimized out>
        freesize = <value optimized out>
0000008 0x00000039c1ae0c2d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
No locals.

Thread 1 (Thread 0x7ffff7491880 (LWP 25861)):
#0 0x00000039c1ad7283 in __poll (fds=<value optimized out>, nfds=<value optimized out>,
    timeout=<value optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
        resultvar = 18446744073709551100
        oldtype = 0
---Type <return> to continue, or q <return> to quit---
        result = <value optimized out>
#1 0x00000039c3608b6a in _xcb_conn_wait (c=0xa27df0, cond=<value optimized out>, vector=0x7fffffff5cc8, count=
    0x7fffffff5cc4) at xcb_conn.c:313
        ret = <value optimized out>
        fd = {fd = 11, events = 5, revents = 0}
0000002 0x00000039c36090b3 in _xcb_out_send (c=0xa27df0, vector=0x7fffffff5d50, count=3) at xcb_out.c:338
        ret = <value optimized out>
0000003 0x00000039c3609144 in xcb_writev (c=0xa27df0, vector=<value optimized out>, count=<value optimized out>, requests=
    401) at xcb_out.c:286
        ret = <value optimized out>
0000004 0x00000039c3e4d546 in _XSend (dpy=0xa40280, data=<value optimized out>, size=<value optimized out>)
    at xcb_io.c:427
        dummy_request = {reqType = 0 '\000', data = 0 '\000', length = 0}
        pad = "\000\000"
        vec = {{iov_base = 0xa46d50, iov_len = 16328}, {iov_base = 0x1680790, iov_len = 2000}, {iov_base =
    0x39c413e7c0, iov_len = 0}}
        requests = 401
        ext = 0x0
        c = 0xa27df0
0000005 0x00000039c76062fe in XRenderCompositeTrapezoids (dpy=0xa40280, op=<value optimized out>,
    src=<value optimized out>, dst=25168552, maskFormat=0xa231d0, xSrc=<value optimized out>, ySrc=813,
    traps=<value optimized out>, ntrap=<value optimized out>) at Trap.c:67
        info = 0xa35090
        n = 50
        len = 2000
        max_req = 4194303
0000006 0x00000033a75b6c77 in qt_XRenderCompositeTrapezoids (this=0x1173ed0, polygonPoints=<value optimized out>,
    pointCount=<value optimized out>, gcMode=1739, mode=25168552) at painting/qpaintengine_x11.cpp:1546
        to_draw = 50
        MAX_TRAPS = 50000
0000007 QX11PaintEnginePrivate::fillPolygon_dev (this=0x1173ed0, polygonPoints=<value optimized out>,
    pointCount=<value optimized out>, gcMode=1739, mode=25168552) at painting/qpaintengine_x11.cpp:1627
        attrs = {repeat = 25781610, alpha_map = 140737488317472, alpha_x_origin = -40176, alpha_y_origin = 32767,
          clip_x_origin = -37832, clip_y_origin = 32767, clip_mask = 140737488317560, graphics_exposures = -37736,
          subwindow_mode = 32767, poly_edge = 1, poly_mode = 32767, dither = 140737488317656, component_alpha =
    -37640}
        x_offset = 1739
        y_offset = 813
        clippedCount = 30
        clippedPoints = 0x140c880
        has_fill_texture = <value optimized out>
        src = 25165854
        solid_fill = <value optimized out>
        has_fill_pattern = <value optimized out>
        fill = {d = {d = 0x171d4d0}}
        fill_gc = 0xa40280
0000008 0x00000033a75b792f in QX11PaintEnginePrivate::fillPath (this=0x1173ed0, path=..., gc_mode=
    QX11PaintEnginePrivate::PenGC, transform=<value optimized out>) at painting/qpaintengine_x11.cpp:1765
        translated_points = {a = 256, s = 30, ptr = 0x7fffffff6710, {array =
    "5[:}\227\035\233@\235\037&\033?\211@5[:}\227+\233@\235\037&\033\311o\211@\000\063\224?,\233@:+;\277\060n\211@\000\000\000\000\000.\233@\232\231\231\231\231m\211@333331\233@\000\000\000\000\000t\211@\000\000\000\000\000.\233@fffffz\211@\376 ,e\017-\233@9k\270\230\036z\211@]\325j\032;,\233@l?\355tUy\211@??h0\233@\235\037&\033\311o\211@??h>\233@\235\037&\033?\211@\036\364\031\n\n?\233@\362?\326\375\221\211@Y?b1?\233@s^\030\374l\224\211@\246\327D\a\341>\233@\006\037\245+\211@2\360lr\033>\233@\226I\213\005?\211@\207\033\252\024\001=\233@<\350\063\024\024\232\211@\307\320\363\201\311;\233@\262\210m\305b\232\211@}p-\352\231:\233@L\257\211\016\302\231\211@5[:}\227\071\233@c\340\331\344\066\230\211@5[:}\227+\233@c\340\331\344\066x\211@\000\000\000\000\000.\233"..., q_for_alignment_1 = 4655347176295783221,
            q_for_alignment_2 = 1735.3979386442345}}
        i = <value optimized out>
        offs = 0
        clippedPath = {d_ptr = {d = 0x1437190}}
---Type <return> to continue, or q <return> to quit---
        clipPath = {d_ptr = {d = 0x1436e20}}
        polys = {{p = {static shared_null = {ref = {_q_value = 1}, alloc = 0, begin = 0, end = 0, sharable = 1,
                array = {0x0}}, d = 0x142b1e0}, d = 0x142b1e0}}
0000009 0x00000033a75b7ebf in QX11PaintEngine::drawPath (this=<value optimized out>, path=<value optimized out>)
    at painting/qpaintengine_x11.cpp:1815
        stroke = {d_ptr = {d = 0x15a4260}}
        poly = {<QVector<QPointF>> = {{d = 0x9f8760, p = 0x9f8760}}, <No data fields>}
        deviceRect = {xp = 0, yp = 0, w = 1748, h = 867}
        stroker = {d_ptr = {d = 0x187b200}}
        width = 1.6000000000000001
        d = 0x1173ed0
        old_matrix = {affine = {_m11 = 1, _m12 = 0, _m21 = 0, _m22 = 1, _dx = 1739, _dy = 816}, m_13 = 0, m_23 = 0,
          m_33 = 1, m_type = 1, m_dirty = 0, d = 0x0}
0000010 0x00000033a75b7594 in QX11PaintEngine::drawPolygon (this=0x10e5b60, polygonPoints=<value optimized out>,
    pointCount=3, mode=QPaintEngine::PolylineMode) at painting/qpaintengine_x11.cpp:1722
        oldBrush = {d = {d = 0xa04800}}
        path = {d_ptr = {d = 0x15b7950}}
        d = 0x1173ed0
0000011 0x00000033a74ff940 in QPainter::drawPolyline (this=<value optimized out>, points=0x13fba70, pointCount=3)
    at painting/qpainter.cpp:4821
        d = 0x179a0d0
        lineEmulation = <value optimized out>
0000012 0x00007ffff0d1eef1 in ?? () from /usr/lib64/kde4/plugins/styles/oxygen.so
No symbol table info available.
0000013 0x00007ffff0d1603c in ?? () from /usr/lib64/kde4/plugins/styles/oxygen.so
No symbol table info available.
0000014 0x00007ffff0d0748c in ?? () from /usr/lib64/kde4/plugins/styles/oxygen.so
No symbol table info available.
0000015 0x00000033a903198e in KStyle::drawControl(QStyle::ControlElement, QStyleOption const*, QPainter*, QWidget const*) const () from /usr/lib64/libkdeui.so.5
No symbol table info available.
0000016 0x00007ffff0d0e1cb in ?? () from /usr/lib64/kde4/plugins/styles/oxygen.so
No symbol table info available.
0000017 0x00000033a76ca11b in QCommonStyle::drawComplexControl (this=0xab9610, cc=<value optimized out>, opt=
    0x7fffffffa1e0, p=0x7fffffffa260, widget=0x16e1630) at styles/qcommonstyle.cpp:3187
        newScrollbar = {<QStyleOptionComplex> = {<QStyleOption> = {version = 1, type = 983041, state = {i = 1},
              direction = Qt::LeftToRight, rect = {x1 = 0, y1 = 199, x2 = 16, y2 = 226}, fontMetrics = {d = {d =
    0xb5e2e0}}, palette = {static staticMetaObject = {d = {superdata = 0x0, stringdata = 0x33a7a8a2c0 "QPalette",
                    data = 0x33a7a8a400, extradata = 0x0}}, d = 0xb4e780, current_group = 2, resolve_mask = 0}},
            subControls = {i = -1}, activeSubControls = {i = 0}}, orientation = Qt::Vertical, minimum = 0, maximum =
    23, tickPosition = QSlider::NoTicks, tickInterval = 0, upsideDown = false, sliderPosition = 0, sliderValue = 0,
          singleStep = 11, pageStep = 227, notchTarget = 0, dialWrapping = false}
        saveFlags = {i = 1}
0000018 0x00000033a903324e in KStyle::drawComplexControl(QStyle::ComplexControl, QStyleOptionComplex const*, QPainter*, QWidget const*) const () from /usr/lib64/libkdeui.so.5
No symbol table info available.
0000019 0x00007ffff0d07c4a in ?? () from /usr/lib64/kde4/plugins/styles/oxygen.so
No symbol table info available.
0000020 0x00000033a780270f in QScrollBar::paintEvent (this=0x16e1630) at widgets/qscrollbar.cpp:566
        d = 0x171c950
        p = {static staticMetaObject = {d = {superdata = 0x0, stringdata = 0x33a7a8b3a0 "QPainter", data =
    0x33a7a8b440, extradata = 0x0}}, d_ptr = {d = 0x179a0d0}}
        opt = {<QStyleOptionComplex> = {<QStyleOption> = {version = 1, type = 983041, state = {i = 1}, direction =
    Qt::LeftToRight, rect = {x1 = 0, y1 = 0, x2 = 16, y2 = 226}, fontMetrics = {d = {d = 0xb5e2e0}}, palette = {
                static staticMetaObject = {d = {superdata = 0x0, stringdata = 0x33a7a8a2c0 "QPalette", data =
    0x33a7a8a400, extradata = 0x0}}, d = 0xb4e780, current_group = 2, resolve_mask = 0}}, subControls = {i = -1},
            activeSubControls = {i = 0}}, orientation = Qt::Vertical, minimum = 0, maximum = 23, tickPosition =
    QSlider::NoTicks, tickInterval = 0, upsideDown = false, sliderPosition = 0, sliderValue = 0, singleStep = 11,
          pageStep = 227, notchTarget = 0, dialWrapping = false}
0000021 0x00000033a7408f9a in QWidget::event (this=0x16e1630, event=0x7fffffffaac0) at kernel/qwidget.cpp:8346
---Type <return> to continue, or q <return> to quit---
        d = 0x171c950
0000022 0x00000033a7802612 in QScrollBar::event (this=0x16e1630, event=0x7fffffffaac0) at widgets/qscrollbar.cpp:546
No locals.
0000023 0x00000033a73b78c4 in QApplicationPrivate::notify_helper (this=0xa1c1f0, receiver=0x16e1630, e=0x7fffffffaac0)
    at kernel/qapplication.cpp:4445
        consumed = <value optimized out>
0000024 0x00000033a73bc3da in QApplication::notify (this=<value optimized out>, receiver=0x16e1630, e=0x7fffffffaac0)
    at kernel/qapplication.cpp:4324
        d = 0xa1c1f0
        res = false
0000025 0x00000033a9020596 in KApplication::notify(QObject*, QEvent*) () from /usr/lib64/libkdeui.so.5
No symbol table info available.
0000026 0x00000033a615b7ac in QCoreApplication::notifyInternal (this=0x7fffffffd960, receiver=0x16e1630, event=
    0x7fffffffaac0) at kernel/qcoreapplication.cpp:732
        threadData = 0xa02e90
        returnValue = <value optimized out>
        result = false
        cbdata = {0x16e1630, 0x7fffffffaac0, 0x7fffffffaa1f}
        d = <value optimized out>
0000027 0x00000033a7405e68 in sendSpontaneousEvent (this=0x171c950, pdev=0xd00498, rgn=..., offset=..., flags=4,
    sharedPainter=0x0, backingStore=0xce8d50) at ../../src/corelib/kernel/qcoreapplication.h:218
No locals.
0000028 QWidgetPrivate::drawWidget (this=0x171c950, pdev=0xd00498, rgn=..., offset=..., flags=4, sharedPainter=0x0,
    backingStore=0xce8d50) at kernel/qwidget.cpp:5433
        paintEngine = 0x10e5b60
        e = {<QEvent> = {_vptr.QEvent = 0x33a7e541d0, static staticMetaObject = {d = {superdata = 0x0, stringdata =
    0x33a6229100 "QEvent", data = 0x33a6229ae0, extradata = 0x0}}, d = 0x0, t = 12, posted = 0, spont = 1, m_accept =
    1, reserved = 0}, m_rect = {x1 = 0, y1 = 0, x2 = 16, y2 = 226}, m_region = {d = 0x160fad0, static shared_empty = {
              ref = {_q_value = 2487}, rgn = 0x0, xrectangles = 0x0, qt_rgn = 0x0}}, m_erased = false}
        onScreen = false
        asRoot = false
        alsoOnScreen = false
        toBePainted = {d = 0x160fad0, static shared_empty = {ref = {_q_value = 2487}, rgn = 0x0, xrectangles = 0x0,
            qt_rgn = 0x0}}
        recursive = true
        alsoInvisible = false
0000029 0x00000033a7406a2f in QWidgetPrivate::paintSiblingsRecursive (this=0x171c710, pdev=0xd00498,
    siblings=<value optimized out>, index=<value optimized out>, rgn=..., offset=..., flags=4, sharedPainter=0x0,
    backingStore=0xce8d50) at kernel/qwidget.cpp:5640
        wRegion = {d = 0x160fad0, static shared_empty = {ref = {_q_value = 2487}, rgn = 0x0, xrectangles = 0x0,
            qt_rgn = 0x0}}
        w = <value optimized out>
        boundingRect = {x1 = <value optimized out>, y1 = 0, x2 = <value optimized out>, y2 = 226}
        dirtyBoundingRect = false
        exludeOpaqueChildren = false
        wd = 0x171c950
        widgetPos = {xp = 0, yp = 0}
        hasMask = false
0000030 0x00000033a7405baa in QWidgetPrivate::drawWidget (this=0x171c710, pdev=0xd00498, rgn=..., offset=...,
    flags=<value optimized out>, sharedPainter=0x0, backingStore=0xce8d50) at kernel/qwidget.cpp:5486
        asRoot = 48
        alsoOnScreen = <value optimized out>
        toBePainted = {d = 0x160fad0, static shared_empty = {ref = {_q_value = 2487}, rgn = 0x0, xrectangles = 0x0,
            qt_rgn = 0x0}}
        recursive = <value optimized out>
        alsoInvisible = <value optimized out>
0000031 0x00000033a7406a2f in QWidgetPrivate::paintSiblingsRecursive (this=0x171b870, pdev=0xd00498,
    siblings=<value optimized out>, index=<value optimized out>, rgn=..., offset=..., flags=4, sharedPainter=0x0,
    backingStore=0xce8d50) at kernel/qwidget.cpp:5640
        wRegion = {d = 0x160fad0, static shared_empty = {ref = {_q_value = 2487}, rgn = 0x0, xrectangles = 0x0,
---Type <return> to continue, or q <return> to quit---
            qt_rgn = 0x0}}
        w = <value optimized out>
        boundingRect = {x1 = <value optimized out>, y1 = 1661, x2 = <value optimized out>, y2 = 226}
        dirtyBoundingRect = false
        exludeOpaqueChildren = false
        wd = 0x171c710
        widgetPos = {xp = 1661, yp = 0}
        hasMask = false
0000032 0x00000033a7405baa in QWidgetPrivate::drawWidget (this=0x171b870, pdev=0xd00498, rgn=..., offset=...,
    flags=<value optimized out>, sharedPainter=0x0, backingStore=0xce8d50) at kernel/qwidget.cpp:5486
        asRoot = 64
        alsoOnScreen = <value optimized out>
        toBePainted = {d = 0xdb8a00, static shared_empty = {ref = {_q_value = 2487}, rgn = 0x0, xrectangles = 0x0,
            qt_rgn = 0x0}}
        recursive = <value optimized out>
        alsoInvisible = <value optimized out>
0000033 0x00000033a7406a2f in QWidgetPrivate::paintSiblingsRecursive (this=0x171ad90, pdev=0xd00498,
    siblings=<value optimized out>, index=<value optimized out>, rgn=..., offset=..., flags=4, sharedPainter=0x0,
    backingStore=0xce8d50) at kernel/qwidget.cpp:5640
        wRegion = {d = 0xdc2940, static shared_empty = {ref = {_q_value = 2487}, rgn = 0x0, xrectangles = 0x0,
            qt_rgn = 0x0}}
        w = <value optimized out>
        boundingRect = {x1 = <value optimized out>, y1 = 0, x2 = <value optimized out>, y2 = 226}
        dirtyBoundingRect = false
        exludeOpaqueChildren = false
        wd = 0x171b870
        widgetPos = {xp = 0, yp = 0}
        hasMask = false
0000034 0x00000033a7405baa in QWidgetPrivate::drawWidget (this=0x171ad90, pdev=0xd00498, rgn=..., offset=...,
    flags=<value optimized out>, sharedPainter=0x0, backingStore=0xce8d50) at kernel/qwidget.cpp:5486
        asRoot = 80
        alsoOnScreen = <value optimized out>
        toBePainted = {d = 0x16b5780, static shared_empty = {ref = {_q_value = 2487}, rgn = 0x0, xrectangles = 0x0,
            qt_rgn = 0x0}}
        recursive = <value optimized out>
        alsoInvisible = <value optimized out>
0000035 0x00000033a7406a2f in QWidgetPrivate::paintSiblingsRecursive (this=0x17122c0, pdev=0xd00498,
    siblings=<value optimized out>, index=<value optimized out>, rgn=..., offset=..., flags=4, sharedPainter=0x0,
    backingStore=0xce8d50) at kernel/qwidget.cpp:5640
        wRegion = {d = 0xdc2940, static shared_empty = {ref = {_q_value = 2487}, rgn = 0x0, xrectangles = 0x0,
            qt_rgn = 0x0}}
        w = <value optimized out>
        boundingRect = {x1 = <value optimized out>, y1 = 70, x2 = <value optimized out>, y2 = 246}
        dirtyBoundingRect = false
        exludeOpaqueChildren = true
        wd = 0x171ad90
        widgetPos = {xp = 70, yp = 20}
        hasMask = false
0000036 0x00000033a7405baa in QWidgetPrivate::drawWidget (this=0x17122c0, pdev=0xd00498, rgn=..., offset=...,
    flags=<value optimized out>, sharedPainter=0x0, backingStore=0xce8d50) at kernel/qwidget.cpp:5486
        asRoot = 96
        alsoOnScreen = <value optimized out>
        toBePainted = {d = 0xe06de0, static shared_empty = {ref = {_q_value = 2487}, rgn = 0x0, xrectangles = 0x0,
            qt_rgn = 0x0}}
        recursive = <value optimized out>
        alsoInvisible = <value optimized out>
0000037 0x00000033a7406a2f in QWidgetPrivate::paintSiblingsRecursive (this=0xb83a80, pdev=0xd00498,
    siblings=<value optimized out>, index=<value optimized out>, rgn=..., offset=..., flags=4, sharedPainter=0x0,
    backingStore=0xce8d50) at kernel/qwidget.cpp:5640
        wRegion = {d = 0x1406460, static shared_empty = {ref = {_q_value = 2487}, rgn = 0x0, xrectangles = 0x0,
---Type <return> to continue, or q <return> to quit---
            qt_rgn = 0x0}}
        w = <value optimized out>
        boundingRect = {x1 = <value optimized out>, y1 = 0, x2 = <value optimized out>, y2 = 246}
        dirtyBoundingRect = false
        exludeOpaqueChildren = false
        wd = 0x17122c0
        widgetPos = {xp = 0, yp = 0}
        hasMask = false
0000038 0x00000033a7405baa in QWidgetPrivate::drawWidget (this=0xb83a80, pdev=0xd00498, rgn=..., offset=...,
    flags=<value optimized out>, sharedPainter=0x0, backingStore=0xce8d50) at kernel/qwidget.cpp:5486
        asRoot = 112
        alsoOnScreen = <value optimized out>
        toBePainted = {d = 0x10bf140, static shared_empty = {ref = {_q_value = 2487}, rgn = 0x0, xrectangles = 0x0,
            qt_rgn = 0x0}}
        recursive = <value optimized out>
        alsoInvisible = <value optimized out>
0000039 0x00000033a7406a2f in QWidgetPrivate::paintSiblingsRecursive (this=0xb53d90, pdev=0xd00498,
    siblings=<value optimized out>, index=<value optimized out>, rgn=..., offset=..., flags=4, sharedPainter=0x0,
    backingStore=0xce8d50) at kernel/qwidget.cpp:5640
        wRegion = {d = 0x1406460, static shared_empty = {ref = {_q_value = 2487}, rgn = 0x0, xrectangles = 0x0,
            qt_rgn = 0x0}}
        w = <value optimized out>
        boundingRect = {x1 = <value optimized out>, y1 = 0, x2 = <value optimized out>, y2 = 246}
        dirtyBoundingRect = false
        exludeOpaqueChildren = false
        wd = 0xb83a80
        widgetPos = {xp = 0, yp = 0}
        hasMask = false
0000040 0x00000033a7405baa in QWidgetPrivate::drawWidget (this=0xb53d90, pdev=0xd00498, rgn=..., offset=...,
    flags=<value optimized out>, sharedPainter=0x0, backingStore=0xce8d50) at kernel/qwidget.cpp:5486
        asRoot = 128
        alsoOnScreen = <value optimized out>
        toBePainted = {d = 0x11a2ea0, static shared_empty = {ref = {_q_value = 2487}, rgn = 0x0, xrectangles = 0x0,
            qt_rgn = 0x0}}
        recursive = <value optimized out>
        alsoInvisible = <value optimized out>
0000041 0x00000033a7406a2f in QWidgetPrivate::paintSiblingsRecursive (this=0xb4bad0, pdev=0xd00498,
    siblings=<value optimized out>, index=<value optimized out>, rgn=..., offset=..., flags=4, sharedPainter=0x0,
    backingStore=0xce8d50) at kernel/qwidget.cpp:5640
        wRegion = {d = 0x1406460, static shared_empty = {ref = {_q_value = 2487}, rgn = 0x0, xrectangles = 0x0,
            qt_rgn = 0x0}}
        w = <value optimized out>
        boundingRect = {x1 = <value optimized out>, y1 = 0, x2 = <value optimized out>, y2 = 866}
        dirtyBoundingRect = false
        exludeOpaqueChildren = true
        wd = 0xb53d90
        widgetPos = {xp = 0, yp = 589}
        hasMask = false
0000042 0x00000033a7405baa in QWidgetPrivate::drawWidget (this=0xb4bad0, pdev=0xd00498, rgn=..., offset=...,
    flags=<value optimized out>, sharedPainter=0x0, backingStore=0xce8d50) at kernel/qwidget.cpp:5486
        asRoot = 144
        alsoOnScreen = <value optimized out>
        toBePainted = {d = 0x17925b0, static shared_empty = {ref = {_q_value = 2487}, rgn = 0x0, xrectangles = 0x0,
            qt_rgn = 0x0}}
        recursive = <value optimized out>
        alsoInvisible = <value optimized out>
0000043 0x00000033a75c8fe9 in QWidgetBackingStore::sync (this=0xce8d50) at painting/qbackingstore.cpp:1333
        flags = 5
        inTopLevelResize = <value optimized out>
        tlwRect = {x1 = 3, y1 = 23, x2 = 1750, y2 = 889}
---Type <return> to continue, or q <return> to quit---
        opaqueNonOverlappedWidgets = {a = 32, s = 2, ptr = 0x7fffffffcbc0, {array =
    "@\204\341\000\000\000\000\000@\365\340\000\000\000\000\000\340\316\377\377\377\177\000\000\030\026\314\000\000\000\000\000`\316\377\377\377\177\000\000\020\025\314\000\000\000\000\000 \316\377\377\377\177\000\000\060\000\000\000\000\000\000\000\001\000\000\000\000\000\000\000\004", '\000' <repeats 15 times>, "I\355i\247\063\000\000\000\001\000\000\000\000\000\000\000\001\000\000\000\000\000\000\000 \316\377\377\377\177\000\000\020\025\314\000\000\000\000\000\n\000\000\000\001\000\000\000\020\316\377\377\377\177\000\000\000\000\000\000\000\000\000\000\360\315\377\377\000\000\000\000\274\315\377\377\377\177\000\000\260\315\377\377\377\177\000\000\360\315\377\377\000\000\000\000\060\216\321\000\000\000\000\000\000\000\000\000\063\000\000\000w\033\t\246\063\000\000\000\300\315\377\377\377\177\000\000 \316\377\377\377\177\000\000\020\316\377\377\377\177\000\000\000\345\345\000\000\000\000\000\001\000\000\000\000\000\000\000\300q\331\301\071\000\000\000\070\000\000\000\000\000\000", q_for_alignment_1 = 14779456, q_for_alignment_2 =
    7.3020214738222863e-317}}
        dirtyCopy = {d = 0x1736fe0, static shared_empty = {ref = {_q_value = 2487}, rgn = 0x0, xrectangles = 0x0,
            qt_rgn = 0x0}}
        surfaceGeometry = {x1 = <value optimized out>, y1 = 23, x2 = 2, y2 = 889}
        toClean = {d = 0x14c2920, static shared_empty = {ref = {_q_value = 2487}, rgn = 0x0, xrectangles = 0x0,
            qt_rgn = 0x0}}
        beginPaintInfo = {wasFlushed = 0, nothingToPaint = 0, windowSurfaceRecreated = 0}
        tlwExtra = <value optimized out>
        updatesDisabled = <value optimized out>
        repaintAllWidgets = <value optimized out>
0000044 0x00000033a73fc1b0 in QWidgetPrivate::syncBackingStore (this=0xb4bad0) at kernel/qwidget.cpp:1816
        bs = 0x7fffffff5c70
0000045 0x00000033a74094a2 in QWidget::event (this=0xb4b670, event=0x13fd5b0) at kernel/qwidget.cpp:8493
        d = 0xb4bad0
0000046 0x00000033a77cd58b in QMainWindow::event (this=0xb4b670, event=0x13fd5b0) at widgets/qmainwindow.cpp:1478
        d = 0xb4bad0
0000047 0x00000033a9124443 in KXmlGuiWindow::event(QEvent*) () from /usr/lib64/libkdeui.so.5
No symbol table info available.
0000048 0x00000033a73b78c4 in QApplicationPrivate::notify_helper (this=0xa1c1f0, receiver=0xb4b670, e=0x13fd5b0)
    at kernel/qapplication.cpp:4445
        consumed = <value optimized out>
0000049 0x00000033a73bc3da in QApplication::notify (this=<value optimized out>, receiver=0xb4b670, e=0x13fd5b0)
    at kernel/qapplication.cpp:4324
        d = 0xa1c1f0
        res = false
0000050 0x00000033a9020596 in KApplication::notify(QObject*, QEvent*) () from /usr/lib64/libkdeui.so.5
No symbol table info available.
0000051 0x00000033a615b7ac in QCoreApplication::notifyInternal (this=0x7fffffffd960, receiver=0xb4b670, event=0x13fd5b0)
    at kernel/qcoreapplication.cpp:732
        threadData = 0xa02e90
        returnValue = <value optimized out>
        result = false
        cbdata = {0xb4b670, 0x13fd5b0, 0x7fffffffd5bf}
        d = <value optimized out>
0000052 0x00000033a615ef95 in sendEvent (receiver=0x0, event_type=0, data=0xa02e90) at kernel/qcoreapplication.h:215
No locals.
0000053 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0xa02e90)
    at kernel/qcoreapplication.cpp:1373
        pe = @0x13fd5d0
        e = 0x13fd5b0
        r = 0xb4b670
        locker = {val = 10497744}
        startOffset = 0
        i = @0xa02ec4
0000054 0x00000033a6186723 in sendPostedEvents (s=0xa1fda0) at kernel/qcoreapplication.h:220
No locals.
0000055 postEventSourceDispatch (s=0xa1fda0) at kernel/qeventdispatcher_glib.cpp:277
        source = 0xa1fda0
0000056 0x00000039c4241e33 in g_main_dispatch (context=0xa1e620) at gmain.c:2149
        dispatch = 0x33a6186710 <postEventSourceDispatch(GSource*, GSourceFunc, gpointer)>
---Type <return> to continue, or q <return> to quit---
        was_in_call = 0
        user_data = 0x0
        callback = 0
        cb_funcs = 0x0
        cb_data = 0x0
        current_source_link = {data = 0xa1fda0, next = 0x0}
        need_destroy = <value optimized out>
        source = 0xa1fda0
        current = 0xa1e100
        i = <value optimized out>
0000057 g_main_context_dispatch (context=0xa1e620) at gmain.c:2702
No locals.
#58 0x00000039c4242610 in g_main_context_iterate (context=0xa1e620, block=1, dispatch=1, self=<value optimized out>)
    at gmain.c:2780
        max_priority = 0
        timeout = 0
        some_ready = 1
        nfds = 9
        allocated_nfds = <value optimized out>
        fds = <value optimized out>
0000059 0x00000039c42428ad in g_main_context_iteration (context=0xa1e620, may_block=1) at gmain.c:2843
        retval = <value optimized out>
0000060 0x00000033a61868bf in QEventDispatcherGlib::processEvents (this=0xa029d0, flags=<value optimized out>)
    at kernel/qeventdispatcher_glib.cpp:415
        d = 0xa1c470
        canWait = true
        savedFlags = {i = 0}
        result = <value optimized out>
0000061 0x00000033a745c59e in QGuiEventDispatcherGlib::processEvents (this=<value optimized out>,
    flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:207
        d = 0xa1c470
        saved_flags = {i = 0}
        returnValue = 252
0000062 0x00000033a615ab42 in QEventLoop::processEvents (this=<value optimized out>, flags=...)
    at kernel/qeventloop.cpp:149
        d = 0x163e800
0000063 0x00000033a615ad8c in QEventLoop::exec (this=0x7fffffffd890, flags=...) at kernel/qeventloop.cpp:201
        d = 0x163e800
        app = 0x7fffffffd960
0000064 0x00000033a615f24b in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1009
        threadData = 0xa02e90
        eventLoop = {<QObject> = {_vptr.QObject = 0x33a648ab50, static staticMetaObject = {d = {superdata = 0x0,
                stringdata = 0x33a6216b20 "QObject", data = 0x33a6216bc0, extradata = 0x33a6482780}}, d_ptr = {d =
    0x163e800}, static staticQtMetaObject = {d = {superdata = 0x0, stringdata = 0x33a621f780 "Qt", data =
    0x33a6222f80, extradata = 0x0}}}, static staticMetaObject = {d = {superdata = 0x9f8bc0, stringdata =
    0x33a6228f00 "QEventLoop", data = 0x33a6228f20, extradata = 0x0}}}
        returnCode = <value optimized out>
0000065 0x000000000045a067 in main (argc=1, argv=0x7fffffffdf88) at /home/gsking/programs/src/svn/kdenlive/src/main.cpp:90
        aboutData = {d = 0xa06250}
        app = <incomplete type>
        window = 0xb4b670
        __PRETTY_FUNCTION__ = "int main(int, char**)"
        options = {d = 0xa1bc90}
        result = 0
TagsNo tags attached.
Build/Install Method(select)
Attached Files? file icon kdenlive-20110303-194518.kcrash [^] (11,365 bytes) 2011-03-05 15:12 [Show Content]

- Relationships

-  Notes
(0006539)
j-b-m (administrator)
2011-03-04 23:48

Backtrace is not very useful. can you play the project file with mlt:

melt projectfile.kdenlive

The crash seems to happen in the KDE oxygen icon theme. Which distro / KDE version are you using?
(0006541)
gsking1 (reporter)
2011-03-05 15:11

The project plays in melt okay. It also played in kdenlive around January.
I am using Fedora 14 with KDE 4.5.5 and all updates from the Fedora repository.
Version 0.7.9 (rev. 5471)
Using KDE Development Platform 4.5.5 (KDE 4.5.5)

I am using oxygen theme. I tried a different theme and same results. I'm uploading another file that also shows crash. Maybe that will help. I know how to get these backtraces, but rarely know what they mean. This one came from automatic kde bug reporting tool.
(0006542)
gsking1 (reporter)
2011-03-05 15:32

I have also noticed that it affects a few other kdenlive projects as well. These were all created with a svn version around mid-january and it was working perfectly at that time. The particular file in question was created with this version: kdenliveversion="0.7.9 (rev. 5350)" version="0.85". I would be glad to share that file if you like.
(0006548)
j-b-m (administrator)
2011-03-06 22:31

Could you please try with latest svn (rev 5484), it might be fixed (seems to be related to audio thumbs)
(0006549)
gsking1 (reporter)
2011-03-07 03:59

I tried the latest svn (both kdenlive and mlt) and still have same problem. It actually is worse, crashing on most files and when importing new clips into a new project.
(0006575)
gsking1 (reporter)
2011-03-14 01:13

This issue is now fixed. I went through /usr/local/ and cleaned out everything related to mlt and kdenlive and also upgraded to kde4.6. I'm guessing it was some old libmlt.so that was still around. All is good now - please mark as closed/solved.

- Issue History
Date Modified Username Field Change
2011-03-04 02:11 gsking1 New Issue
2011-03-04 23:48 j-b-m Note Added: 0006539
2011-03-04 23:48 j-b-m Assigned To => j-b-m
2011-03-04 23:48 j-b-m Status new => feedback
2011-03-05 15:11 gsking1 Note Added: 0006541
2011-03-05 15:11 gsking1 Status feedback => assigned
2011-03-05 15:12 gsking1 File Added: kdenlive-20110303-194518.kcrash
2011-03-05 15:32 gsking1 Note Added: 0006542
2011-03-06 22:31 j-b-m Note Added: 0006548
2011-03-07 03:59 gsking1 Note Added: 0006549
2011-03-14 01:13 gsking1 Note Added: 0006575
2011-03-14 20:30 j-b-m Status assigned => resolved
2011-03-14 20:30 j-b-m Fixed in Version => Recent git
2011-03-14 20:30 j-b-m Resolution open => fixed
2011-04-26 21:58 j-b-m Fixed in Version Recent git => 0.8
2011-06-10 10:49 Granjow Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker